Bug 2144461 - OpenSUSE dead image link renders virt-builder completely unusable
Summary: OpenSUSE dead image link renders virt-builder completely unusable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libguestfs
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-21 10:40 UTC by Erik Skultety
Modified: 2022-12-11 01:39 UTC (History)
3 users (show)

Fixed In Version: guestfs-tools-1.49.5-2.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-11 01:25:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Erik Skultety 2022-11-21 10:40:48 UTC
Description of problem:
It appears OpenSUSE has sunset the virt-builder image repo:
http://download.opensuse.org/repositories/Virtualization:/virt-builder-images/images/index
causing even basic virt-builder functionality to end with a fatal error:

  $ virt-builder --list
     virt-builder: error: failed to download 
     http://download.opensuse.org/repositories/Virtualization:/virt-builder-images/images/index: 
     HTTP status code 404

This breaks upstream libvirt integration CI. 

Version-Release number of selected component (if applicable): tested with 1.48.X


How reproducible:
100%

Steps to Reproduce:
1. run virt-builder --list
virt-builder: error: failed to download 
http://download.opensuse.org/repositories/Virtualization:/virt-builder-images/images/index:                                                                   
HTTP status code 404

Expected results:
Repos that cannot be synced are simply skipped and a warning is issued, definitely doesn't end with a fatal error.

See https://bugzilla.redhat.com/show_bug.cgi?id=2101399 for a related RFE request.

Additional info:

Comment 1 Richard W.M. Jones 2022-11-21 13:12:58 UTC
Rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=94392638

Comment 2 Fedora Update System 2022-11-21 20:45:56 UTC
FEDORA-2022-5a5fe27485 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-5a5fe27485

Comment 3 Fedora Update System 2022-11-21 22:06:41 UTC
FEDORA-2022-82b78408c3 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-82b78408c3

Comment 4 Fedora Update System 2022-11-22 02:28:44 UTC
FEDORA-2022-5a5fe27485 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-5a5fe27485`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-5a5fe27485

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-11-22 02:30:47 UTC
FEDORA-2022-82b78408c3 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-82b78408c3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-82b78408c3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-11-26 01:13:09 UTC
FEDORA-2022-fb08a00425 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-fb08a00425`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-fb08a00425

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-11-26 01:30:05 UTC
FEDORA-2022-901bbc508d has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-901bbc508d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-901bbc508d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-12-11 01:25:44 UTC
FEDORA-2022-901bbc508d has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-12-11 01:39:39 UTC
FEDORA-2022-fb08a00425 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.